# Uses of Interface
org.eclipse.emf.cdo.lm.client.IAssemblyDescriptor

Packages that use IAssemblyDescriptor
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of IAssemblyDescriptor in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return IAssemblyDescriptor
Modifier and Type
Method
Description
`IAssemblyDescriptor`
IAssemblyManager.`createDescriptor(String label, Baseline baseline, IProgressMonitor monitor)`
`IAssemblyDescriptor`
IAssemblyDescriptor.AvailableUpdatesChangedEvent.`getDescriptor()`
`IAssemblyDescriptor`
IAssemblyDescriptor.NameChangedEvent.`getDescriptor()`
`IAssemblyDescriptor`
IAssemblyDescriptor.UpdateStateChangedEvent.`getDescriptor()`
`IAssemblyDescriptor`
IAssemblyManager.DescriptorSyncStateEvent.`getDescriptor()`
`IAssemblyDescriptor`
IAssemblyManager.`getDescriptor(CDOCheckout checkout)`
`IAssemblyDescriptor`
IAssemblyManager.`getDescriptor(EObject object)`
`IAssemblyDescriptor[]`
IAssemblyManager.`getDescriptors()`
`IAssemblyDescriptor[]`
IAssemblyManager.`getDescriptors(Baseline baseline)`
Method parameters in org.eclipse.emf.cdo.lm.client with type arguments of type IAssemblyDescriptor
Modifier and Type
Method
Description
`void`
IAssemblyManager.`forEachDescriptor(Consumer<IAssemblyDescriptor> consumer)`